/*!
    \file crosshair.h
    \brief Definition of ...

*/

#ifndef _CROSSHAIR_H
#define _CROSSHAIR_H

#include "event_listener.h"
#include "p_node.h"
#include "vector.h"

// FORWARD DEFINITION
class Model;
class Material;

//! A class that enables the
class Crosshair : public PNode, public EventListener {

 public:
  Crosshair();
  virtual ~Crosshair();


  virtual void process(const Event &event);

  void tick(float dt);
  void draw();

 private:
   float            position2D[2];        //!< The 2D-position on the screen

   Model*           model;                //!< A model for the crosshair representing the Aim
   Material*        material;             //!< a material for the Aim.
   float            rotation;             //!< a rotation of the aim.
   float            size;                 //!< The Size of the Crosshair (in % of screen resolution 1 is fullscreen)
};

#endif /* _CROSSHAIR_H */
